AMQPExchange::bind
AMQPExchange::declare
AMQPExchange
PHP Manual

# AMQPExchange::__construct

Create an instance of AMQPExchange

### Description

public AMQPExchange::__construct ( AMQPChannel `$amqp_channel` )

Returns a new instance of an AMQPExchange object, associated with the given AMQPChannel object.

### Parameters

`AMQPChannel`

  A valid AMQPChannel object, connected to a broker.

### Return Values

An AMQPExchange object.

### Errors/Exceptions

Throws AMQPExchangeException when `amqp_channel` is not connected to a broker.

Throws AMQPConnectionException if the connection to the broker was lost.